﻿using System;
using Pdftools.Pdf;
using Pdftools.PdfSecure;

namespace sig
{
    class Program
    {
        static void Main(string[] args)
        {
            //インスタンス生成
            Secure doc = new Secure();
            Signature sig = new Signature();

            //入力のPDFファイル
            if (!doc.Open("a.pdf", ""))
            {
                Console.WriteLine("入力ファイル\"input.pdf\"を開けません");
                Environment.Exit(1);
            }

            //電子署名追加
            PDFRect rect;

            sig.Name = "takaku";
            sig.Issuer = "Seinou Hyouka Eval CA55-4R";
            sig.SerialNumber = "10 51";
            sig.Reason = "Received";
            sig.Location = "Tokyo";
            rect.lowerLeftX = 470;
            rect.lowerLeftY = 590;
            rect.upperRightX = 500;
            rect.upperRightY = 620;
            sig.Rect = rect;
            sig.Text1 = "\t0,0 ";
            sig.Text2 = "\t0,0 ";
            sig.ImageFileName = "Hankols50.png";
            sig.TimeStampURL = "http://tsa.trustss.jp/";
            if (!doc.AddSignature(sig))
            {
                Console.WriteLine("電子署名を追加できませんでした");
                Environment.Exit(2);
            }

            //署名したファイルを格納
            if (!doc.SaveAs("output.pdf", null, null, (PDFPermission)(-1), 0, null, null))
            {
                Console.WriteLine("\"output.pdf\"を出力できませんでした");
                Environment.Exit(3);
            }

            //入力のPDFを閉じる
            doc.Close();
        }
    }
}
